---
updatedAt: 2025-11-13T23:15:03.000Z
---

# Products

## Resource

GET /v1/availability/products

## Authorization

By api\_key with the [Public](https://developer.gett.com/docs/scopes) scope.

## Query Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        latitude
      </td>

      <td>
        float
      </td>

      <td>
        The current latitude.
      </td>
    </tr>

    <tr>
      <td>
        longitude
      </td>

      <td>
        float
      </td>

      <td>
        The current longitude.
      </td>
    </tr>
  </tbody>
</Table>

## Request

```curl
curl -X GET -H 'Authorization: Token [API_KEY]' \
            -H "Content-Type: application/json" \
            'https://api.gett.com/v1/availability/products?latitude=32.1086622&longitude=34.8379731'
```

## Response

```json 200 OK
{
  "products": [
    {
      "id": "ca1bcd35-c427-4fa0-be0a-54ca5e956276",
      "display_name": "Gett Express",
      "image_url": "http://static.gett.com/services/media/media_files/75/0000_Get-Express_Selection.png"
    },
    {
      "id": "93b83484-98c8-4b6b-8103-81a046bdd85a",
      "display_name": "Gett Mehadrin",
      "image_url": "http://static.gett.com/services/media/media_files/92/0004_Gett-Mehadrin_Selection.png"
    },
    {
      "id": "08d4801f-452d-49e7-9b96-944d7c2ca722",
      "display_name": "Gett Kids",
      "image_url": "http://static.gett.com/services/media/media_files/112/0003_Gett-Kids_Selection.png"
    },
    {
      "id": "b64ca6d1-d5e8-4054-8dd8-ab858db82091",
      "display_name": "Gett Premium",
      "image_url": "http://static.gett.com/services/media/media_files/101/0002_Gett-Premium_Selection.png"
    }
  ]
}
```

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        products
      </td>

      <td>
        array
      </td>

      <td>
        The object containing the information about the available products.
      </td>
    </tr>

    <tr>
      <td>
        id
      </td>

      <td>
        string
      </td>

      <td>
        The unique ID of the specific product.
      </td>
    </tr>

    <tr>
      <td>
        display\_name
      </td>

      <td>
        string
      </td>

      <td>
        The display name of the product.
      </td>
    </tr>

    <tr>
      <td>
        image\_url
      </td>

      <td>
        string
      </td>

      <td>
        the image url of the product
      </td>
    </tr>
  </tbody>
</Table>

You can retrieve​ information about a specific Gett product.\
Valid inputs for the product\_id parameter can be found by querying the /v1/products endpoint.

## Resource

GET api/v1/products/\<product\_id>

## Authorization

By api\_key with the [Public](https://developer.gett.com/docs/scopes) scope.

## Path Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        product\_id
      </td>

      <td>
        string
      </td>

      <td>
        The unique ID of the specific product.
      </td>
    </tr>
  </tbody>
</Table>

## Request

```curl
// for specific product
curl -X GET -H 'Authorization: Token [API_KEY]' \
'https://api.gett.com/v1/availability/products/ca1bcd35-c427-4fa0-be0a-54ca5e956276'
```

## Response

```json 200 OK
{
  "id": "ca1bcd35-c427-4fa0-be0a-54ca5e956276",
  "display_name": "Gett Express",
  "image_url": "http://static.gett.com/services/media/media_files/75/0000_Get-Express_Selection.png"
}
```